> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadowbook.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List trading pairs

> Retrieve all trading pairs tracked by Shadowbook with their last known spot price.

Returns all trading pairs currently tracked in the market index along with their last known spot price.

## Query parameters

None.

## Response

<ResponseField name="pairs" type="PairInfo[]">
  Array of trading pairs.

  <Expandable title="PairInfo fields">
    <ResponseField name="base" type="string">
      Base asset identifier.
    </ResponseField>

    <ResponseField name="quote" type="string">
      Quote asset identifier.
    </ResponseField>

    <ResponseField name="last_spot" type="DecimalPrice | null">
      Last execution price. `null` if no trades have occurred for this pair.
    </ResponseField>
  </Expandable>
</ResponseField>

## Response codes

| Status   | Body               |
| -------- | ------------------ |
| `200 OK` | `PairListResponse` |

<RequestExample>
  ```bash Request theme={null} theme={null}
  curl "https://api.shadowbook.io/trading-view/pair-list"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null} theme={null}
  {
    "pairs": [
      {
        "base": "ADA",
        "quote": "279c909f348e533da5808898f87f9a14bb2c3dfbbacccd631d927a3f:534e454b",
        "last_spot": "0.00001"
      },
      {
        "base": "ADA",
        "quote": "8db269c3ec630e06ae29f74bc39edd1f87c819f1056206e879a1cd61:dda5fdb1002f7389b33e036b6afee82a27189467772a31503f6185a66cb3d2",
        "last_spot": null
      }
    ]
  }
  ```
</ResponseExample>
